Loading...
Searching...
No Matches
Opm::NcpIndices< TypeTag, PVOffset > Struct Template Reference

The primary variable and equation indices for the compositional multi-phase NCP model. More...

`#include <ncpindices.hh>`

Inheritance diagram for Opm::NcpIndices< TypeTag, PVOffset >:

## Static Public Attributes

static constexpr int | numEq = numComponents + numPhases + EnergyIndices::numEq_
| The number of primary variables / equations.
static constexpr int | conti0EqIdx = PVOffset
| Index of the equation for the continuity of mass of the first component.
static constexpr int | ncp0EqIdx = conti0EqIdx + numComponents
| Index of the first phase NCP equation.
static constexpr int | fugacity0Idx = PVOffset
| Index of the primary variable for the fugacity of the first component.
static constexpr int | saturation0Idx = fugacity0Idx + numComponents
| Index of the saturation of the first phase in a vector of primary variables.
static constexpr int | pressure0Idx = saturation0Idx + numPhases - 1
| Index of the first phase' pressure in a vector of primary variables.

## Detailed Description

template<class TypeTag, int PVOffset = 0>
struct Opm::NcpIndices< TypeTag, PVOffset >

The primary variable and equation indices for the compositional multi-phase NCP model.

## Member Data Documentation

## conti0EqIdx

template<class TypeTag, int PVOffset = 0>

int Opm::NcpIndices< TypeTag, PVOffset >::conti0EqIdx = PVOffset

static constexpr

Index of the equation for the continuity of mass of the first component.

numComponents equations follow...

## fugacity0Idx

template<class TypeTag, int PVOffset = 0>

int Opm::NcpIndices< TypeTag, PVOffset >::fugacity0Idx = PVOffset

static constexpr

Index of the primary variable for the fugacity of the first component.

numComponents primary variables follow...

## ncp0EqIdx

template<class TypeTag, int PVOffset = 0>

int Opm::NcpIndices< TypeTag, PVOffset >::ncp0EqIdx = conti0EqIdx + numComponents

static constexpr

Index of the first phase NCP equation.

The index for the remaining phases are consecutive.

## saturation0Idx

template<class TypeTag, int PVOffset = 0>

int Opm::NcpIndices< TypeTag, PVOffset >::saturation0Idx = fugacity0Idx + numComponents

static constexpr

Index of the saturation of the first phase in a vector of primary variables.

The following (numPhases - 1) primary variables represent the saturations for the phases [1, ..., numPhases - 1]

The documentation for this struct was generated from the following file:

- opm/models/ncp/ncpindices.hh